Name:		yum-conf-softwarecollections
Version:	1.0
Release:	1%{?dist}
Summary:	yum repo files for Software Collections

Group:		Development/Languages
License:	GPL
URL:		http://www.scientificlinux.org/

%define debug_package %{nil}
BuildRequires:	bash sed coreutils
Requires:	yum
BuildArch:	noarch

%description
Yum repository config files that point to the Scientific Linux build
of Software Collections

%prep

%install
mkdir -p $RPM_BUILD_ROOT/etc/yum.repos.d/

echo "Building yum conf for Software Collections"

cat > $RPM_BUILD_ROOT/etc/yum.repos.d/softwarecollections.repo <<REPO
[softwarecollections]
Name=Scientific Linux Software Collections - \$basearch
baseurl=http://ftp.scientificlinux.org/linux/scientific/6x/external_products/softwarecollections/\$basearch/
        http://ftp1.scientificlinux.org/linux/scientific/6x/external_products/softwarecollections/\$basearch/
        http://ftp2.scientificlinux.org/linux/scientific/6x/external_products/softwarecollections/\$basearch/

enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl6

[softwarecollections-source]
Name=Scientific Linux Software Collections - source
baseurl=http://ftp.scientificlinux.org/linux/scientific/6x/external_products/softwarecollections/SRPMS/
        http://ftp1.scientificlinux.org/linux/scientific/6x/external_products/softwarecollections/SRPMS/
        http://ftp2.scientificlinux.org/linux/scientific/6x/external_products/softwarecollections/SRPMS/

enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl file:///etc/pki/rpm-gpg/RPM-GPG-KEY-sl6

REPO

chmod 644 $RPM_BUILD_ROOT/etc/yum.repos.d/*.repo


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%config(noreplace) /etc/yum.repos.d/*


%changelog
* Tue Sep 24 2013 Pat Riehecky <riehecky@fnal.gov> 1.0-1.el6
- Initial build
